from porte_fenetre import*

def rez_de_chaussee(choixplaceporte,choixporte,couleur,couleurporte):
    """
    dessine un rectangle de 140 pixels de largeur et 60 pixels de hauteur
    de la couleur couleur
    dessine deux fenêtres et une porte, choixplaceporte indique si la porte est
    en première, deuxième ou troisième place
    choixporte indique la forme de la porte, simple si choixporte vaut True,
    arrondie sinon
    couleurporte indique la couleur de la porte
    Args :
        choixplaceporte (int) : 1, 2 ou 3
        choixporte (bool) : True ou False
        couleur (float,float,float) : triplet de 3 flottants compris entre 0 et 1 indiquant
        la couleur au format RVB
        coleurporte (float,float,float) : triplet de 3 flottants compris entre 0 et 1 indiquant
        la couleur au format RVB
    Returns :
        pas de retour
    """
    up() # À REMPLACER
    

def etage(choix1,choix2,choix3,couleur) :
    """
    se déplace 60 pixels plus haut
    dessine un rectangle de 140 pixels de largeur et 60 pixels de hauteur
    de la couleur couleur
    choix1 indique s'il y a une porte_fenêtre (True) à gauche ou
    une fenêtre (False) 
    choix2 indique s'il y a une porte_fenêtre (True) au milieu ou
    une fenêtre (False)
    choix3 indique s'il y a une porte_fenêtre (True) à droite ou
    une fenêtre (False)
    Args :
        choix1 (bool) : True ou False
        choix2 (bool) : True ou False
        choix3 (bool) : True ou False
        couleur (float,float,float) : triplet de 3 flottants compris entre 0 et 1 indiquant
        la couleur au format RVB
    Returns :
        pas de retour
    """
    up() # À REMPLACER
    
def toit():
    """
    se déplace 60 pixels plus haut
    dessine un toit en forme de triangle
    Args :
        pas d'argument
    Returns :
        pas de retour
    """
    left(90)
    forward(60)
    right(90)
    backward(10)
    down()
    pencolor("black")
    fillcolor("black")
    begin_fill()
    forward(160)
    left(150)
    forward(93)
    left(60)
    forward(93)
    left(150)
    forward(10)
    end_fill()
    up()
    forward(1)

def toit2():
    """
    se déplace 60 pixels plus haut
    dessine un toit plat
    Args :
        pas d'argument
    Returns :
        pas de retour
    """
    left(90)
    forward(60)
    right(90)
    down()
    pencolor("black")
    fillcolor("black")
    begin_fill()
    forward(140)
    circle(5,180)
    forward(140)
    circle(5,180)
    end_fill()
    up()
    
def descendre(netages) :
    """
    se déplace 60 pixels plus bas netages fois
    Args :
        netages (int) : entier positif ou nul
    Returns :
        pas de retour
    """
    for i in range(netages) :
        right(90)
        forward(60)
        left(90)

