from turtle import*
from random import*

def carre(cote,col) :
    """
    dessine un carré coloré bordé de noir dont le côté fait cote de long
    et dont la couleur de remplissage est col
    Args :
        cote (int) : entier strictement positif, indiquant la longueur du carré
        col (float,float,float) : triplet de 3 flottants compris entre 0 et 1 indiquant
        la couleur au format RVB
    Returns :
        pas de retour
    """
    down()
    pencolor("black")
    fillcolor(col)
    begin_fill()
    forward(cote)
    left(90)
    forward(cote)
    left(90)
    forward(cote)
    left(90)
    forward(cote)
    left(90)
    end_fill()
    up()

def rectangle(largeur,hauteur,col) :
    """
    dessine un rectangle coloré bordé de noir dont le largeur largeur
    et de hauteur hauteur.
    Ce rectangle est coloré de la couleur col
    Args :
        largeur (int) : entier strictement positif
        hauteur (int) : entier strictement positif
        col (float,float,float) : triplet de 3 flottants compris entre 0 et 1 indiquant
        la couleur au format RVB
    Returns :
        pas de retour
    """
    up() # À REMPLACER

def fenetre():
    """dessine une fenetre qui est un carré blanc de 30 pixels de côtés
    à une hauteur de 20 pixels
    Args :
        pas d'argument
    Returns :
        pas de retour
    """
    up() # À REMPLACER
    
    
def porte(color):
    """
    dessine un rectangle de 30 pixels de largeur et 50 pixels de hauteur
    de la couleur col
    Args :
        col (float,float,float) : triplet de 3 flottants compris entre 0 et 1 indiquant
        la couleur au format RVB
    Returns :
        pas de retour
    """
    up() # À REMPLACER
    
def porte2(color):
    """
    dessine une porte arrondie de la couleur col
    Args :
        col (float,float,float) : triplet de 3 flottants compris entre 0 et 1 indiquant
        la couleur au format RVB
    Returns :
        pas de retour
    """
    down()
    pencolor("black")
    fillcolor(color)
    begin_fill()
    forward(30)
    left(90)
    forward(40)
    circle(15,180)
    forward(40)
    left(90)
    end_fill()
    up()

def balcon():
    """
    dessine un balcon
    Args :
        pas d'argument
    Returns :
        pas de retour
    """
    hauteurbalcon=24
    espacebarreau=5
    down()
    pensize(2)
    backward(5)
    forward(40)
    left(90)
    forward(hauteurbalcon)
    left(90)
    forward(40)
    left(90)
    forward(hauteurbalcon)
    left(90)
    for i in range(4):
        forward(espacebarreau)
        left(90)
        forward(hauteurbalcon)
        right(90)
        forward(espacebarreau)
        right(90)
        forward(hauteurbalcon)
        left(90)
    backward(35)
    pensize(1)
    up()
    

def porte_fenetre():
    """
    dessine une porte-fenêtre
    Args :
        pas d'argument
    Returns :
        pas de retour
    """
    up() # À REMPLACER
